curl --request GET \
--url https://api.alerty.ai/incident/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alerty.ai/incident/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alerty.ai/incident/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>",
"monitor": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integration": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
},
"integrationOverride": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
],
"pollDurationInterval": "P3Y6M4DT12H30M5S",
"description": "<string>",
"snoozedUntil": "2023-11-07T05:31:56Z",
"query": "<string>",
"resource": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"configuration": {
"url": "<string>"
}
}
},
"createdBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"acknowledgedAt": "2023-11-07T05:31:56Z",
"acknowledgedBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"reopenedAt": "2023-11-07T05:31:56Z",
"reopenedBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z",
"closedBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"snoozedUntil": "2023-11-07T05:31:56Z",
"snoozeddBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"notes": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"content": "<string>"
}
]
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Retrieve an Incident
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
the incident identifier Unique identifier for the entity
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
Response
successful incident retrieval
an incident trigged by a monitor/alert
Unique identifier for the entity
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the incident title
state of the incident during its lifecycle
ACTIVE, ACKNOWLEDGED, SNOOZED, RESOLVED, CLOSED, REOPENED the incident description field
resource monitor
Show child attributes
Show child attributes
Show child attributes
Show child attributes
timestamp when incident was acknowledged
Show child attributes
Show child attributes
timestamp when incident was reopened
Show child attributes
Show child attributes
timestamp when incident was closed
Show child attributes
Show child attributes
timestamp when incident was closed
Show child attributes
Show child attributes
until when the monitor will be in snoozed mode
Show child attributes
Show child attributes
list of incidents notes
Show child attributes
Show child attributes

